<?php
	error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);
	Include('../database.params.inc.php');
	$link = pg_connect("host=$machine user=$user password=$pwd dbname=$db")or die("Erreur de Connection !<br />".pg_last_error()) ;

	$query = "SELECT id_produit, dispo FROM PRODUIT ORDER BY id_produit";
	$result = pg_query($link, $query) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;
	$num = pg_num_rows($result);
	$a = 0;
	while ( $a < $num){
		$id_produit = pg_fetch_result($result, $a, "id_produit");
		$dispo = pg_fetch_result($result, $a, "dispo");
		$value = $_POST['prod_'.$id_produit];
		if ($value != 'null' && $value != $dispo) {
			$query2 = "UPDATE PRODUIT SET dispo='$value' WHERE id_produit = '$id_produit'";
			$result2 = pg_query($link, $query2) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;
		}
		$a++;
	}
	header('Location: carte.php');
	exit();
?>